Submitted by : 127.0.0.1 at: 2005-02-21T00:42:26+00:00 (12 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

kupu seems quite promising as an Epoz replacement ... 1.2 release comming soon, first "[much much]? better than epoz" release ...

demo: http://debris.demon.nl:7080/kupu_nightly/kupu/common/kupu.html

Rich Web Text Editing with Kupu


comments:

property change --simon, Thu, 22 Sep 2005 10:35:10 -0700 reply
Name: #1057 support kupu wysiwyg editor => #1057 need to support kupu wysiwyg editor

property change --simon, Thu, 22 Sep 2005 17:23:29 -0700 reply
Name: #1057 need to support kupu wysiwyg editor => #1057 zwiki DOES NOT SUPPORT kupu YET

Us Plone 2.1 Users Need Kupu Support -- Fri, 23 Sep 2005 23:47:24 -0700 reply
Given that Epoz 2.0.x no longer works with Plone 2.1 (latest release) we need at least one working solution for a wysiwyg solution. I far prefer Epoz but the developer has no desire to get it working with Plone. I would prefer FckEditor? next, and Kupu last. But the reality is that Kupu is hard coded into this last Plone 2.1 release and FckEditor? is not, so hard coded that Plone 2.1 wont even run if you wack kupu from the Zope Product directory.

Permit me to quote Maik, the Epoz Developer here....

Hi,

I can reproduce the problem, but I have no idea how to fix it... I don't use Plone anymore, so I'm not going to spend much time to fix this issue...

My guess: Epoz needs to register a handler to the form-submit-button and maybe Plone 2.1 does this as well, so Epoz can't synchronize the wysiwyg-area with the form. But I have no idea where to look with billions of templates lying around in Plone...

Sorry, Maik

Good News Epoz Works With Plone 2.1 -- Sat, 24 Sep 2005 15:58:58 -0700 reply
Personally, I am in no hurry to get kupu support now that Epoz works with Plone 2.1

Still want Kupu support -- Fri, 21 Oct 2005 15:42:22 -0700 reply

Kupu would be very valuable for our site (Plone 2.1), since we have a mostly standard Plone documents, with some zwiki pages. Having a single wysiwyg editor would greatly simplify things.

+1 for Kupu Support -- Sat, 12 Nov 2005 14:54:34 -0800 reply
Kupu is the "official" WYSIWYG editor for PLone? now. IMHO, gettting Zwiki to play nice with Kupu is absolutely essential if Zwiki is to remain a viable and vibrant Wiki solution for Plone. Having wiki pages in a Plone site use a different editing UI is very confusing to non-techie users.

+2 for Kupu Support ;-) --nachtigall, Sun, 13 Nov 2005 01:49:22 -0800 reply
Here's another admin using zwiki. I also very much would like to have kupu support. This would also help to cease the beginners want for an easy wikimedia (or ...) support, which I often here at my site (as do others ;-)

+3 for Kupu Support -- Fri, 18 Nov 2005 20:09:47 -0800 reply
Thanks For Zwiki! Thanks for all of your work and care and time and energy. I'm excited about using a wiki in my middle school science classes and my reading class. A wysiwyg editor for them as well as for me is key. I'm waiting with baited breath... David

+3 for Kupu Support -- Fri, 18 Nov 2005 20:11:20 -0800 reply
I didn't mention... This is for a Plone 2.1 site.

forward --Simon Michael, Thu, 19 Jan 2006 17:31:35 -0800 reply
anonymous wrote:

I'm really enjoying using Zwiki within Plone. When using Kupu within Plone, I want my Zwiki pages to show up as linkable objects. I was directed via #plone to the kupu_library_tool, but when there, I cannot add ZWiki Page as a Resource Type:Linkable. Error: Resource type: linkable, invalid type: ZWiki Page

Any thoughts?
forwarded from http://zwiki.org/GeneralDiscussion#msg20051230105923-0800@zwiki.org

Re: Zwiki / kupu/ 1057 ticket WORKAROUND --Simon Michael, Wed, 08 Feb 2006 08:34:17 -0800 reply

FYI I got around the "Zwiki doesn't work with Kupu" + Epoz/Kupu fight in Plone 2.1.2, by downloading the very latest Epoz (2.0.2) , putting it in Products, not explicitly installing it though. This makes Zwiki find and use Epoz, while the rest of Plone (2.1.2 version) carries on using Kupu without interference. Hope this info helpful to a number of people. All the best, thanks again for Zwiki, very useful piece of software.

Thanks Nick! Good to hear.

Re: Zwiki / kupu/ 1057 ticket WORKAROUND --Mikhail, Wed, 22 Mar 2006 11:35:56 -0800 reply
Can you please specify what versions do you use? the thing is - it doesn't work for me :( I've got Plone 2.1.2, ZWiki 0.51 and Epoz 2.0.2. When creating a new wiki page I only get an empty "Body text" box :( (Perhaps I'm just being stupid and nit selecting an option somewhere or something like that?) Thanks, Mikhail

... --simon, Wed, 03 May 2006 04:32:31 -0700 reply
Category: general-i18n => user-editing-epoz Severity: critical => wishlist

Kupu Status? --finrod, Thu, 04 Jan 2007 05:34:26 -0800 reply
Hello - any change in the status of Kupu? I agree with some of the above - if zWiki is going to stay vibrant with Pone it really needs a rich text editing environment and Kupu seems to be the answer.

finrod

Kupu status --nd51, Mon, 22 Jan 2007 06:54:04 -0800 reply
I just looked at this page and saw a question asked in March! ;-) Oh well. In case this helps anyone else, we've sucessfully used Epoz 2.0.2, as described in my previous post, with Plone 2.05 on Zope 2.7.4 , Plone 2.1.1, 2.1.2, 2.1.3 on Zope 2.8.5. It only takes effect if you first change the markup language html. Perhaps thats what confused Mikhail above. I really don't see ZWiki supporting Kupu any time soon. Not much dev't is going on with ZWiki at present. A future alternative could be to use Wicked, which is in Plone 3.0, with kupu (or presumably FCKEditor? too). But thats summer or even autumn 2007 for a Plone 3.0 final good enough to put in production having migrated all your old stuff. ZWiki has many nice features, especially the LaTeX? support, which won't be in Wicked.

Kupu status --sentron, Tue, 15 May 2007 08:40:42 -0700 reply
I use Wicked 1.0.0 with Zope 2.9.2 and Plone 2.5.2. It works great, and it works with both FCKEditor? and Kupu. I also have Epoz 0.8.5 installed with Zwiki 0.58 - it works well, but I (and my users) prefer FCKEditor? or Kupu over Epoz. So, I think I will use Wicked rather than Zwiki.